Find the nearest ingested land-filtered light-pollution cell.
curl --request GET \
--url https://api.nebyoulous.space/light-pollution/cells/nearestconst options = {method: 'GET'};
fetch('https://api.nebyoulous.space/light-pollution/cells/nearest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/light-pollution/cells/nearest"
response = requests.get(url)
print(response.text){
"ok": true,
"cell": {
"dataYear": 0,
"latIdx": 0,
"lngIdx": 0,
"lat": 123,
"lng": 123,
"radiance": 123,
"sqm": 123,
"bortle": 5,
"landWaterMask": 0,
"datasetId": "<string>",
"granuleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"distanceKm": 1,
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "<string>",
"message": "<string>"
}Light pollution
Find the nearest ingested land-filtered light-pollution cell.
GET
/
light-pollution
/
cells
/
nearest
Find the nearest ingested land-filtered light-pollution cell.
curl --request GET \
--url https://api.nebyoulous.space/light-pollution/cells/nearestconst options = {method: 'GET'};
fetch('https://api.nebyoulous.space/light-pollution/cells/nearest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/light-pollution/cells/nearest"
response = requests.get(url)
print(response.text){
"ok": true,
"cell": {
"dataYear": 0,
"latIdx": 0,
"lngIdx": 0,
"lat": 123,
"lng": 123,
"radiance": 123,
"sqm": 123,
"bortle": 5,
"landWaterMask": 0,
"datasetId": "<string>",
"granuleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"distanceKm": 1,
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "<string>",
"message": "<string>"
}Query Parameters
Required range:
-90 <= x <= 90Required range:
-180 <= x <= 180Required range:
2000 <= x <= 3000Required range:
0 <= x <= 20